#!/usr/bin/perl

#
# A primer on using the State object via the web
#
#  04/01/1998  evantide, ltd. staff (staff@evantide.com)
#

use Evantide::Web;
use Evantide::State;

#
# to check if a user has a cookie?
#

if ($state = get_state_from_cookie ()) {
    print "I have state object $state\n";
} else {
    print
	"Sorry, you either haven't begun a session, or the session ",
	"has expired.\n";
}

#
# to create a new persistent store, and assign the browser's cookie
#

$state = new Evantide::State;

print
    "Content-type: text/html\n",
    get_state_cookie_header ($state, '/', 'www.domain.com'),
    "\n";

#
# to retrieve the state object and store some new values
#

# ... get a $state object

$state->put ('var1', $avar);
$state->put ('var2', \%ahash);

$state->sync ();

#
# to get objects
#

$avar  = $state->get ('var1');
$ahash = $state->get ('var2');

print "$avar, $ahash->{akey}, ", keys %$ahash, "\n";

#
# removing objects
#

$state->remove ('var1');
$state->sync ();
